#!/bin/bash
. common.bash

PATH_INFO=`echo $PATH_INFO | sed -r 's,^/+,,; s,/+$,,'`

if [[ -z $PATH_INFO || `echo $PATH_INFO | grep -v -E -s '^[a-zA-Z0-9_/]+$'` ]]; then
	redirect $SHOW
fi

setvars

if [[ -n $password ]]; then 
	oldifs="$IFS"
	IFS="
"
	password="`echo -n $password | $HASHCMD`"
	for item in $HASHPASS; do
		if [[ "$item" == "$password" ]]; then
			valid=true
		fi
	done
	IFS="$oldifs"
	if [[ "$valid" != "true" ]]; then
		redirect $SHOW/$PATH_INFO
	fi
	if [[ -e $DIRIDIR/$PATH_INFO ]]; then
		rm -rf $DIRIDIR/$PATH_INFO.diri
		rm -rf $DIRIDIR/$PATH_INFO
	fi
	redirect $SHOW
fi


title="`basename "$PATH_INFO" | sed 's/_/ /g'`"

cat <<END
Cache-Control: no-cache
Content-Type: text/html

<!DOCTYPE HTML SYSTEM>
<html>
	<head>
		<title>$title</title>
		<meta http-equiv="cache-control" content="no-cache">
		<meta http-equiv="pragma" content="no-cache"> 
		<meta name="author" content="Anselm R. Garbe">
		<meta name="searchtitle" content="dwm wmii suck less">
		<meta name="keywords" content="x11 dwm wmi wmii dmenu slock 
suck less window manager xlib">
		<meta name="description" content="dynamic window manager 
improved 2">
		<meta name="revisit-after" content="2 days">
		<meta name="audience" content="all">
		<meta name="content-language" content="en">
		<meta name="copyright" content="(C)opyright 2006-2007 by 
Anselm R. Garbe">
		<meta name="robots" content="noindex,nofollow">
		<style type="text/css">
			body { background-color: #444; color: #ddd; 
font-family: sans-serif; margin: 0px 0px 0px 0px; max-width: 80em; }
			img { border: 0px; /* top right bartom left */ }
			a { color: #9cf; }
			input { background-color: #333; border: 1px solid 
#555; color: #ddd; }
			div#editor{ background-color: #333; border: 0px; 
color: #ddd; padding: 2%; width: 96%; }
			div#bar { background-color: #222; border: 0px; 
clear: both; padding: 5px 1% 5px 0px; text-align: right; width: 99%; }
		</style>
	</head>
	<body>
		<div id="bar">
			<i>$SLOGAN</i>
		</div>
		<div id="editor">
			<h1>
END
	echo $PATH_INFO
cat <<END
</h1>
			<form action="$ADDRESS/$REMOVE/$PATH_INFO" 
method="post">
				<p style='color: #f00;'>Please confirm 
removing '$PATH_INFO' through entering the password.</p>
				<p align="right">
					<b>Password:</b> <input 
type='password' name='password' size='20'/>
					<input type='submit' 
value='Confirm'/><br />
				</p>
			</form>
		</div>
		<div id="bar">
			<small>&copy Copyright 2007 Anselm R. Garbe <a 
href="http://www.suckless.org/~arg/">Impressum</a></small>
		</div>
	</body>
</html>
END

